IOSS 2.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Json::Features Class Reference

Configuration passed to reader and writer. This configuration object can be used to force the Reader or Writer to behave in a standard conforming way. More...

`#include <json.h>`

## Public Member Functions
| Features ()
| Initialize the configuration like JsonConfig::allFeatures;. More...

## Static Public Member Functions
static Features | all ()
| A configuration that allows all features and assumes all strings are UTF-8. More...
static Features | strictMode ()
| A configuration that is strictly compatible with the JSON specification. More...

## Public Attributes
bool | allowComments_
| `true` if comments are allowed. Default: `true`. More...
bool | strictRoot_
bool | allowDroppedNullPlaceholders_
| `true` if dropped null placeholders are allowed. Default: `false`. More...
bool | allowNumericKeys_
| `true` if numeric object key are allowed. Default: `false`. More...

## Detailed Description

Configuration passed to reader and writer. This configuration object can be used to force the Reader or Writer to behave in a standard conforming way.

## Constructor & Destructor Documentation

## ◆ Features()

Json::Features::Features | ( |  | ) |

Initialize the configuration like JsonConfig::allFeatures;.

## Member Function Documentation

## ◆ all()

static Features Json::Features::all | ( |  | ) |
| static

A configuration that allows all features and assumes all strings are UTF-8.

- C & C++ comments are allowed
- Root object can be any JSON value
- Assumes Value strings are encoded in UTF-8

## ◆ strictMode()

static Features Json::Features::strictMode | ( |  | ) |
| static

A configuration that is strictly compatible with the JSON specification.

- Comments are forbidden.
- Root object must be either an array or an object value.
- Assumes Value strings are encoded in UTF-8

## Member Data Documentation

## ◆ allowComments_

bool Json::Features::allowComments_

`true` if comments are allowed. Default: `true`.

## ◆ allowDroppedNullPlaceholders_

bool Json::Features::allowDroppedNullPlaceholders_

`true` if dropped null placeholders are allowed. Default: `false`.

## ◆ allowNumericKeys_

bool Json::Features::allowNumericKeys_

`true` if numeric object key are allowed. Default: `false`.

## ◆ strictRoot_

bool Json::Features::strictRoot_

`true` if root must be either an array or an object value. Default: `false`.

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/parser/jsoncpp-master/dist/json/json.h